// $Id: PFevaluator.h,v 1.2 2007/03/17 19:19:37 david Exp $
/*
 * $Log: PFevaluator.h,v $
 * Revision 1.2  2007/03/17 19:19:37  david
 * *** empty log message ***
 *
 * Revision 1.1  2007/03/14 01:20:29  david
 * Changed compiler implementation to use evaluation strategy objects
 * instead of functions. These strategies are selected according to the
 * target selected from the command line options or from clues such as
 * the output file extension.
 */
#ifndef __COMPACT_SEMANTICS_PFEVALUATOR_H__
#define __COMPACT_SEMANTICS_PFEVALUATOR_H__

#include <iostream>
#include <cdk/semantics/Evaluator.h>

namespace cdk {
  class Compiler;
  namespace node { class Node; }
}

class PFevaluator : public cdk::semantics::Evaluator {
  static PFevaluator _thisEvaluator;

protected:
  PFevaluator(const char *target = "asm") : cdk::semantics::Evaluator(target) {}

public:
  bool evaluate(cdk::Compiler *compiler);

}; // class PFevaluator

#endif
