// $Id: Cevaluator.h,v 1.2 2007/03/17 19:19:35 david Exp $
/*
 * $Log: Cevaluator.h,v $
 * Revision 1.2  2007/03/17 19:19:35  david
 * *** empty log message ***
 *
 * Revision 1.1  2007/03/14 01:20:26  david
 * Changed compiler implementation to use evaluation strategy objects
 * instead of functions. These strategies are selected according to the
 * target selected from the command line options or from clues such as
 * the output file extension.
 */
#ifndef __COMPACT_SEMANTICS_CEVALUATOR_H__
#define __COMPACT_SEMANTICS_CEVALUATOR_H__

#include <iostream>
#include <cdk/semantics/Evaluator.h>

namespace cdk {
  class Compiler;
  namespace node { class Node; }
}

class Cevaluator : public cdk::semantics::Evaluator {
  static Cevaluator _thisEvaluator;

protected:
  Cevaluator(const char *target = "c") : cdk::semantics::Evaluator(target) {}

public:
  bool evaluate(cdk::Compiler *compiler);

}; // class Cevaluator

#endif
