// $Id: InterpretationEvaluator.h,v 1.1 2007/03/14 01:20:27 david Exp $
/*
 * $Log: InterpretationEvaluator.h,v $
 * Revision 1.1  2007/03/14 01:20:27  david
 * Changed compiler implementation to use evaluation strategy objects
 * instead of functions. These strategies are selected according to the
 * target selected from the command line options or from clues such as
 * the output file extension.
 *
 */
#ifndef __COMPACT_SEMANTICS_INTERPRETATIONEVALUATOR_H__
#define __COMPACT_SEMANTICS_INTERPRETATIONEVALUATOR_H__

#include <iostream>
#include <cdk/semantics/Evaluator.h>

namespace cdk {
  class Compiler;
  namespace node { class Node; }
}

class InterpretationEvaluator : public cdk::semantics::Evaluator {
  static InterpretationEvaluator _thisEvaluator;

protected:
  InterpretationEvaluator(const char *target = "...") : cdk::semantics::Evaluator(target) {}

public:
  bool evaluate(cdk::Compiler *compiler);

}; // class InterpretationEvaluator

#endif
