// $Id: XMLevaluator.h,v 1.2 2007/03/17 19:19:39 david Exp $
/*
 * $Log: XMLevaluator.h,v $
 * Revision 1.2  2007/03/17 19:19:39  david
 * *** empty log message ***
 *
 * Revision 1.1  2007/03/14 01:20:30  david
 * Changed compiler implementation to use evaluation strategy objects
 * instead of functions. These strategies are selected according to the
 * target selected from the command line options or from clues such as
 * the output file extension.
 */
#ifndef __COMPACT_SEMANTICS_XMLEVALUATOR_H__
#define __COMPACT_SEMANTICS_XMLEVALUATOR_H__

#include <iostream>
#include <cdk/semantics/Evaluator.h>

namespace cdk {
  class Compiler;
  namespace node { class Node; }
}

class XMLevaluator : public cdk::semantics::Evaluator {
  static XMLevaluator _thisEvaluator;

protected:
  XMLevaluator(const char *target = "xml") : cdk::semantics::Evaluator(target) {}

public:
  bool evaluate(cdk::Compiler *compiler);

}; // class XMLevaluator

#endif
